Package: groovy.swing.factory

## [Groovy] Class ComponentFactory

- groovy.swing.factory.ComponentFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ComponentFactory (Class beanClass)`
    `ComponentFactory (Class beanClass, boolean leaf)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `setParent, onFactoryRegistration, onHandleNodeAttributes, isHandlesNodeChildren, isLeaf, onNodeCompleted, onNodeChildren, setChild, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`

- - ### Constructor Detail

    - #### ComponentFactory(Class beanClass)

    - #### ComponentFactory(Class beanClass, boolean leaf)

  - ### Method Detail

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)